Single-Recipient Email Status

GET/api/v2/email/status

Base URL https://api.easify.liveBearer token and Accept header required Authentication →

This endpoint is used to retrieve email status.

The user can retrieve the status of the email sent by the user, based on the email_id (which will get the send email response) value.

There is a rate limit of 60 requests per minute per API token. This limit is shared by all API endpoints except those with their own separate limit (/api/v2/sms/send, /api/v3/sms/send, etc.), so requests to other endpoints also count toward it. If you exceed this limit, you will receive a 429 Too Many Requests status, along with a message indicating when you can try again.

The authenticated user must have access to the Email feature. Requests made without the proper feature permissions will receive a 490 status code response, indicating that a plan upgrade is required.

Query Parameters

email_id string email_id is provided in the send-email API response Required

Example Request and Response

Request

{
  "email_id": "6746c18a3b67fc3da50e****"
}

Success Response:

{
  "status": true,
  "message": "Email status successfully fetched",
  "data": {
    "status": "Success",
    "remarks": "Success"
  }
}

Responses

Case Status Code Response
If the user does not provide a token in the header or provides an invalid token 401 { "status":false, "message":"Unauthenticated", "errors":[] }
If user provided invalid email_id 400 { "status": false, "message": "Invalid email id", "errors": [] }
If the user exceeds the allowed rate limit for requests 429 { "status":false, "message":"Too many requests. Try again in 59 seconds", "errors":[] }
If the user's subscription has ended 402 { "status":false,"message":"You need to recharge your account to proceed","errors":[] }
When the user account is inactive 403 { "status": false, "message": "Your account is currently inactive.", "errors": [] }
If the request comes from an IP address or domain that is not on the account's API whitelist 400 { "status": false, "message": "Access denied! Your IP or domain is not whitelisted.[ HostName : ] - [ Ip Address : << YOUR_SERVER_IP >>]", "errors": [] }

Email Status

Status Description
Pending The Email is in the queue to be sent
Failed The Email delivery attempt failed. This could be due to a technical issue on the service provider's end
Success The Email has been successfully sent to the recipient
Scheduled The email has been scheduled

Code Examples

Fetch the email status
php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => 'https://api.easify.live/api/v2/email/status?email_id=6746c18a3b67fc3da50e****',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => [
    'Authorization: Bearer <>',
    'Accept: application/json',
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;